---
firstname: Philippa
lastname: Gardner
position: Professor, Group Leader
webpage: http://www.doc.ic.ac.uk/~pg/
email: pg@doc.ic.ac.uk
projects:
  - web
  - concurrency
  - sl
  - moc
  - infer
---
Philippa Gardner is a professor in the [Department of Computing](http://www.doc.ic.ac.uk) at Imperial
and leader of the Program Specification and Verification Group. 
Her current research focusses on program verification: in particular, reasoning about Web programs 
(JavaScript and DOM) and reasoning about concurrent programs.

She completed her PhD thesis, supervised by Professor Gordon Plotkin FRS at Edinburgh in 1992. She moved to Cambridge in 1998 
on an EPSRC Advanced Fellowship, hosted by Professor Robin Milner FRS. 
She obtained a lectureship at Imperial in 2001, and became professor in 2009. She held a Microsoft Research Cambridge/Royal Academy of
Engineering Senior Fellowship from 2005 to 2010 at Imperial. She was the  Director 
of the [Research Institute in Automated Program Analysis and Verification](http://www.verificationinstitute.org),
funded by GCHQ in association  with EPSRC from 2013 to 2017.

Philippa directs the Research Institute on Verified Trustworthy Software Systems (VeTSS), 
funded by EPSRC, from 2017 to 2022. She also chairs the BCS awards committee, 
which decides the Lovelace medal (senior) and Roger Needham award (mid-career) for computer science and engineering.