---
title: Successful viva for Pedro da Rocha Pinto
---

Congratulations to Pedro da Rocha Pinto who defended his PhD thesis, Reasoning with Time and Data Abstractions at his viva on Friday 13th January 2017.  
The viva was passed with minor corrections. Many thanks to [Aleksandar Nanevski](http://software.imdea.org/~aleks/) 
and [Viktor Vafeiadis]( https://people.mpi-sws.org/~viktor/) who acted as external examiner 
and to [Susan Eisenbach](http://www.imperial.ac.uk/people/s.eisenbach), who acted as the internal examiner.

Pedro’s thesis was about exploring a number of design possibilities for a logic for 
modularly verifying shared-memory concurrent programs and introduces a new program logic 
called [TaDA](https://psvg.doc.ic.ac.uk/publications/daRochaPinto2014TaDA.html) for verifying concurrent programs with much better support for abstraction 
The latest paper from Pedro, accepted to ESOP 2017 is on [our publications page](https://psvg.doc.ic.ac.uk/publications/Dinsdale-Young2017Caper.html)
